Main Page Modules Data Structures File List Data Fields Globals Related Pages

# fips186Param Struct Reference

`#include <fips186.h>`

## Data Fields
sha1Param | param
uint32 | state [16]
int | digestsize

## Field Documentation

int fips186Param::digestsize

| Definition at line 71 of file fips186.h. Referenced by fips186Next, and fips186Setup.

sha1Param fips186Param::param

| Definition at line 69 of file fips186.h. Referenced by fips186Next.

uint32 fips186Param::state[ 16 ]

| Definition at line 70 of file fips186.h. Referenced by fips186Next, fips186Seed, and fips186Setup.

The documentation for this struct was generated from the following file:

- beecrypt/fips186.h